Bug 191122 - Thunderbird forgets Threaded mode when changing sort column
Thunderbird forgets Threaded mode when changing sort column
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: thunderbird (Show other bugs)
8
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Gecko Maintainer
massRequestForReproduction
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-08 20:30 EDT by stephen
Modified: 2008-03-06 00:17 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-12 17:52:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Mozilla Foundation 219787 None None None Never

  None (edit)
Description stephen 2006-05-08 20:30:18 EDT
Description of problem:
If I click on a sort column (ie. Date) to change the order of the messages,
Thunderbird changes grouping mode from Threaded to Unthreaded.

Version-Release number of selected component (if applicable):
Thunderbird 1.0.8-1.1.fc4

How reproducible:
everytime

Steps to Reproduce:
1.  Set mail sort mode to threaded
2.  Click on a column (Subject, Date, etc.) to change direction of sort
  
Actual results:
Mail returns to Unthreaded mode

Expected results:
Mail sorts in according to new specific, but remain threaded

Additional info:
Comment 1 Christian Iseli 2007-01-19 19:07:32 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.
Comment 2 stephen 2007-02-01 00:13:22 EST
This bug still on FC6 using thunderbird.i386 0:1.5.0.9-2.fc6.
Comment 3 Matěj Cepl 2007-12-10 04:21:38 EST
Fedora Core 6 is no longer supported, could you please reproduce this with the
updated version of the currently supported distribution (Fedora 7, 8, or
Rawhide)? If this issue turns out to still be reproducible, please let us know
in this bug report. If after a month's time we have not heard back from you, we
will have to close this bug as CANTFIX.

Setting status to NEEDINFO, and awaiting information from the reporter.

[This is mass-filed message to all open Fedora Core 6 bugs related to Xorg or
Gecko. If you see any other reason, why this bug shouldn't be closed, please,
comment on it here.]
Comment 4 stephen 2007-12-12 21:52:41 EST
Confirmed that this issue continues in Fedora 8. 

 ie. thunderbird-2.0.0.9-1.fc8

As far as I recall, I used the distro version of thunderbird in Fedora 7 and the
issue is the same.  

Also, as far as I recall, this happens with the build right from mozilla.org,
thus not a Fedora only bug.
Comment 5 Matěj Cepl 2007-12-13 11:58:10 EST
Weird cannot find this upstream, only the exact opposite
https://bugzilla.mozilla.org/show_bug.cgi?id=340308
Comment 6 Matěj Cepl 2008-02-08 15:41:42 EST
Since this bugzilla report was filed, we have seriously upgraded Gecko-related
packages, which may have resolved this issue. Users who have experienced this
problem are encouraged to upgrade their system to the latest version of their
distribution available.

Please, confirm to us that this bug is reproducible on the latest upgrade of the
supported distribution (that's RHEL, or Fedora 7, 8, and Rawhide).

Setting the bug to NEEDINFO. If I won't get confirmation of reproducability in
30 days, the bug will be closed as INSUFFICIENT_DATA.

[This is mass-changing of bugs which seem to be too old and irrelevant anymore;
we are sorry, if this bug should not be incldued.]
Comment 7 stephen 2008-02-09 14:47:47 EST
This bug continues to be a problem in Fedora 8 w/ thunderbird-2.0.0.9-1.fc8
Comment 8 Matěj Cepl 2008-02-12 17:52:31 EST
From https://bugzilla.mozilla.org/show_bug.cgi?id=219787#c43:

It is necessary to add this line to prefs.js:
  user_pref("mailnews.thread_pane_column_unthreads", false);

----

and these days you can use also Edit/Preferences/Advanced (or Extended; I have a
localized version so I am back-translating to English)/Configuration editor.
There set value of the preference mailnews.thread_pane_column_unthreads to false.
Comment 9 stephen 2008-03-06 00:17:45 EST
Adding the line to prefs.js didn't work for me but editing with the conf editor,
did. Thank you very much.

Note You need to log in before you can comment on or make changes to this bug.